/* ============================== */
/* ! Layout for desktop version   */
/* ============================== */


::selection {
  /* Change highlight background color to black */
  background: #ac848c;
  /* Change highlight text color to red */
  color: #fae3c5;
}
div.mobile-nav{display:none;}
/*hamburgerstuff*/
.overlay {
  height: 0%;
  width: 100%;
  position: fixed;
  z-index: 10000;
  top: 0;
  left: 0;
  background-color: rgb(0,0,0);
  background-color: rgba(255,255,255, 0.9);
  overflow-y: hidden;
  transition: 0.5s;
}

.overlay-content {
  position: relative;
  top: 25%;
  width: 100%;
  text-align: center;
  margin-top: 30px;
}

.overlay a {
  padding: 8px;
  text-decoration: none;
  font-size: 36px;
  color: #6d545b;
  display: block;
  transition: 0.3s;
}

.overlay a:hover, .overlay a:focus {
  color: #fae3c5;
}

.overlay .closebtn {
  position: absolute;
  top: 20px;
  right: 45px;
  font-size: 60px;
}

@media screen and (max-height: 450px) {
  .overlay {overflow-y: auto;}
  .overlay a {font-size: 20px}
  .overlay .closebtn {
  font-size: 40px;
  top: 15px;
  right: 35px;
  }
}
/*hamburgerstuffends*/

/*back to top button*/
#myBtn {
  display: none; /* Hidden by default */
  position: fixed; /* Fixed/sticky position */
  bottom: 20px; /* Place the button at the bottom of the page */
  right: 30px; /* Place the button 30px from the right */
  z-index: 99; /* Make sure it does not overlap */
  border: solid 2px #ac848c; /* Remove borders */
  outline: none; /* Remove outline */
  background-color: rgba(172,132,140,.60); /* Set a background color */
  color: #fae3c5; /* Text color */
  cursor: pointer; /* Add a mouse pointer on hover */
  padding: 15px; /* Some padding */
  border-radius: 10px; /* Rounded corners */
  font-size: 18px; /* Increase font size */
  font-family: "rafaella", sans-serif;font-weight: 400;font-style: normal
}

#myBtn:hover {
  background-color: #555; /* Add a dark-grey background on hover */
}
/*back to top button ends*/

/*header*/
html{scroll-behavior: smooth; cursor:url("../cursors/no-light.png"), auto;
}
a{cursor:url("../cursors/light.png"),auto;}
a.nav{display:block;font-family: "rafaella", sans-serif;font-weight: 400;font-style: normal;font-size:20px;color:#fae3c5;text-decoration:none;margin-top:35px}
a.nav:hover{color:#6d545b}
img.logo {margin:20px 0px 5px 0px;max-width:230px;max-height:71px}
div.header{border-bottom:solid 2px #ac848c;background:rgba(242,220,222,.17)}
/*a.nav.follow{border:solid 3px #ac848c;border-radius:10px;text-align:center;padding:10px 0px 0px 0px;margin-top:-1px }*/
/*headerends*/

/*contenthome*/
/*div.container.content.home{width:100%;background:url("../home page images/firefly-full.png")right bottom no-repeat;background-size: contain; background-position: 80% 10% ;margin:0 auto;}*/
div.container.content.home{width:100%}
h2.ctafirst{display:block;font-family: "rafaella", sans-serif;font-weight: 400;font-style: normal;font-size:5.5vw;color:#816369;margin:60px 0px 0px 0px}
img.firefly{display:block;width:200%;margin-top:70px;margin-bottom:80px;}
img.firefly-straight{display:none}
h2.ctasecond{letter-spacing:7px;font-family: "rafaella-shadow", sans-serif;font-weight: 400;font-style: normal;font-size:8.76vw;color:#ac848c;margin:20px 0px 30px 0px}
a.cta.about{text-align:center;display:block;font-family:"odile", serif;font-weight: 400;font-style:normal;font-size:3.35vw;color:#f2dcde;text-decoration:none;border:solid 3px #ac848c;border-radius:20px;background:rgba(172,132,140,.60);margin:60px 0px 90px 0px;padding:5px 5px;max-width:300px;box-shadow:7px 7px 0 0px #ac848c;}
a.cta:hover{color:#6d545b;background:rgba(242,220,222,.30)}
div.eightcol.home-text{line-height:170px}
div.footer.home{margin-top:0px;background:#f2dcde;padding:10px 0px;border-top:solid 3px #ac848c}
/*SLIDESHOW*/
/*.slideshow {
  list-style: none;
  z-index: -1;
}

.slideshow li span {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0px;
  left: 0px;
  color: transparent;
  background-size: cover;
  background-position: 50% 50%;
  background-repeat: none;
  opacity: 0;
  z-index: 0;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-animation: imageAnimation 24s linear infinite 0s;
  -moz-animation: imageAnimation 24s linear infinite 0s;
  animation: imageAnimation 24s linear infinite 0s;
}

.slideshow li h3 {
  position: absolute;
  text-align: center;
  z-index: 2;
  bottom: 150px;
  left: 0;
  right: 0;
  opacity: 0;
  font-size: 2em;
  font-family: 'roboto', sans-serif;
  text-transform: uppercase;
  color: #fff;
  -webkit-animation: titleAnimation 24s linear 1 0s;
  -moz-animation: titleAnimation 24s linear 1 0s;
  animation: titleAnimation 24s linear 1 0s;
}
@media only screen and (min-width: 768px) {

.slideshow li h3 {
  bottom: 30px;
  font-size: 2em;
}
}
@media only screen and (min-width: 1024px) {

.slideshow li h3 { font-size: 2em; }
}

.slideshow li:nth-child(1) span { background-image: url("../home page images/strangeworld.jpg"); }

.slideshow li:nth-child(2) span {
  background-image: url("../home page images/streetlight.jpg");
  -webkit-animation-delay: 6s;
  -moz-animation-delay: 6s;
  animation-delay: 6s;
}

.slideshow li:nth-child(3) span {
  background-image: url("../home page images/flower.jpg");
  -webkit-animation-delay: 12s;
  -moz-animation-delay: 12s;
  animation-delay: 12s;
}


 @-webkit-keyframes 
imageAnimation {  0% {
 opacity: 0;
 -webkit-animation-timing-function: ease-in;
}
 12.5% {
 opacity: 1;
 -webkit-animation-timing-function: ease-out;
}
 25% {
 opacity: 1;
}
 37.5% {
 opacity: 0;
}
 100% {
 opacity: 0;
}
}
@-moz-keyframes 
imageAnimation {  0% {
 opacity: 0;
 -moz-animation-timing-function: ease-in;
}
 12.5% {
 opacity: 1;
 -moz-animation-timing-function: ease-out;
}
 25% {
 opacity: 1;
}
 37.5% {
 opacity: 0;
}
 100% {
 opacity: 0;
}
}
@keyframes 
imageAnimation {  0% {
 opacity: 0;
 -webkit-animation-timing-function: ease-in;
 -moz-animation-timing-function: ease-in;
 animation-timing-function: ease-in;
}
 12.5% {
 opacity: 1;
 -webkit-animation-timing-function: ease-out;
 -moz-animation-timing-function: ease-out;
 animation-timing-function: ease-out;
}
 25% {
 opacity: 1;
}
 37.5% {
 opacity: 0;
}
 100% {
 opacity: 0;
}
}
@-webkit-keyframes 
titleAnimation {  0% {
 opacity: 0;
}
 12.5% {
 opacity: 1;
}
 25% {
 opacity: 1;
}
 37.5% {
 opacity: 0;
}
 100% {
 opacity: 0;
}
}
@-moz-keyframes 
titleAnimation {  0% {
 opacity: 0;
}
 12.5% {
 opacity: 1;
}
 25% {
 opacity: 1;
}
 37.5% {
 opacity: 0;
}
 100% {
 opacity: 0;
}
}
@keyframes 
titleAnimation {  0% {
 opacity: 0;
}
 12.5% {
 opacity: 1;
}
 25% {
 opacity: 1;
}
 37.5% {
 opacity: 0;
}
 100% {
 opacity: 0;
}
}

.no-cssanimations .slideshow li span { opacity: 1; }*/
/*contenthomeends*/

/*content gallery*/

body.interiorpages{background:url("../interior background/sunpatternpink.jpg")}

div.container.header.interiorpages {background:rgba(172,132,140,.60)}
h1.pageheadings.purple{letter-spacing:7px;font-family: "rafaella-shadow", sans-serif;font-weight: 400;font-style: normal;font-size:149px;color:#ac848c;margin:40px 0px 50px 0px;text-align:center}
a.directory-button{text-align:center;display:block;font-family:"odile", serif;font-weight: 400;font-style:normal;font-size:18px;color:#fae3c5;text-decoration:none;;border:solid 3px #ac848c;border-radius:10px;background:rgba(172,132,140,.60);margin:10px auto;max-width:300px;padding:5px 0px}
a.directory-button:hover{color:#6d545b;background:rgba(242,220,222,1)}

h2.subheadings{letter-spacing:7px;font-family: "rafaella-shadow", sans-serif;font-weight: 400;font-style: normal;font-size:65px;color:#ac848c;margin:40px 0px 20px 5px;text-align:left;line-height:100px}
span.amp{font-size:55px}
img.thumbnail{margin-bottom:30px;border:solid 2px #ac848c;border-radius:65px 65px 10px 10px}
p.info.disclaimer{font-size:15px}
iframe{width:100%;height:350px;border:solid 2px #ac848c;border-radius:70px 70px 10px 10px;margin-bottom:30px}

/*content gallery ends*/

/*about page*/

p.info{font-family:"odile", serif;font-weight: 600;font-style: normal;font-size:25px;color:#ac848c;text-decoration:none;margin:20px 0px;text-align:left}
span.boldinfo{font-family: "odile", serif;font-weight: 700;font-style: normal;text-decoration:underline}
img.myportrait{border:solid 4px #ac848c;border-radius:200px 200px 10px 10px;margin-top:40px}
a.download{display:block;font-family:"odile", serif;font-weight: 400;font-style:normal;font-size:20px;color:#fae3c5;text-decoration:none;;border:solid 3px #ac848c;border-radius:10px;background:rgba(172,132,140,.60);margin:20px auto;max-width:200%;padding:5px 80px; margin:10px auto}

/*about page ends*/
	
/*contact page*/

div.fourcol.contact-form {margin-top:70px;padding:25px;border:solid 3px #ac848c;border-radius:100px 100px 10px 10px;background:rgba(172,132,140,.6)}

input {display:block;font-family:"odile", serif;font-weight: 400;font-style:normal;font-size:20px;color:#ac848c;padding:10px;border:solid 3px #ac848c; border-radius:10px ;margin:0px auto;}

textarea {display:block; resize:none;margin:0 auto; padding:10px;border:solid 3px #ac848c; border-radius:10px ;font-family:"odile", serif;font-weight: 400;font-style:normal;font-size:20px;color:#ac848c;text-decoration:none;max-width:100%}

button{;display:block;font-family:"odile", serif;font-weight: 400;font-style:normal;font-size:20px;color:#fae3c5;text-decoration:none;;border:solid 3px #ac848c;border-radius:10px;background:rgba(172,132,140,.60);margin:20px auto;max-width:200%;padding:5px 80px}

p.info.contact{font-size:36px;}

/*modal window*/
.modal-window {
  position: fixed;
  background-color: rgba(255, 255, 255, 0.25);
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 999;
  visibility: hidden;
  opacity: 0;
  pointer-events: none;
  transition: all 0.3s;
  &:target {
    visibility: visible;
    opacity: 1;
    pointer-events: auto;
  }
  & > div {
    width: 400px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 2em;
    background: white;
  }
  header {
    font-weight: bold;
  }
  h2 {
    ;
    margin: 0 0 15px;
  }
}

.modal-close {
  color: #6d472b;
  line-height: 50px;
  position: absolute;
  right: 0;
  text-align: center;
  top: 0;
  width: 70px;
  text-decoration: none;
}
div.modalstuff{border:solid 3px #ac848c;border-radius:10px;background:rgba(172,132,140,.6)}
a.x-button {font-family:"odile", serif;font-weight: 400;font-style:normal;font-size:20px}
h2.modal{font-size:40px;color:#f2dcde}
p.modal{color:#fae3c5}

/*modal window ends*/

/* ============================= */
/* ! Layout for mobile version   */
/* ============================= */
@media handheld, only screen and (max-width: 1400px){
	
h2.ctafirst{display:block;font-family: "rafaella", sans-serif;font-weight: 400;font-style: normal;font-size:6.5vw;color:#816369;margin:60px 0px 0px 0px}
h2.ctasecond{letter-spacing:7px;font-family: "rafaella-shadow", sans-serif;font-weight: 400;font-style: normal;font-size:9.76vw;color:#ac848c;margin:20px 0px 30px 0px}
a.cta.about{text-align:center;display:block;font-family:"odile", serif;font-weight: 400;font-style:normal;font-size:3.50vw;color:#f2dcde;text-decoration:none;border:solid 3px #ac848c;border-radius:20px;background:rgba(172,132,140,.60);margin:60px 0px 90px 0px;padding:5px 5px;max-width:300px;box-shadow:7px 7px 0 0px #ac848c;}	
	
	
}

@media handheld, only screen and (max-width: 1200px){
	
h2.ctafirst{display:block;font-family: "rafaella", sans-serif;font-weight: 400;font-style: normal;font-size:7.5vw;color:#816369;margin:60px 0px 0px 0px}
h2.ctasecond{letter-spacing:7px;font-family: "rafaella-shadow", sans-serif;font-weight: 400;font-style: normal;font-size:10.76vw;color:#ac848c;margin:20px 0px 30px 0px}
a.cta.about{text-align:center;display:block;font-family:"odile", serif;font-weight: 400;font-style:normal;font-size:4.35vw;color:#f2dcde;text-decoration:none;border:solid 3px #ac848c;border-radius:20px;background:rgba(172,132,140,.60);margin:60px 0px 90px 0px;padding:5px 5px;max-width:300px;box-shadow:7px 7px 0 0px #ac848c;}	
	
	
}

@media handheld, only screen and (max-width: 1023px){
	
h2.ctafirst{display:block;font-family: "rafaella", sans-serif;font-weight: 400;font-style: normal;font-size:7.5vw;color:#816369;margin:60px 0px 0px 0px;line-height:175px}
h2.ctasecond{letter-spacing:7px;font-family: "rafaella-shadow", sans-serif;font-weight: 400;font-style: normal;font-size:10.76vw;color:#ac848c;margin:20px 0px 30px 0px}
a.cta.about{text-align:center;display:block;font-family:"odile", serif;font-weight: 400;font-style:normal;font-size:3.35vw;color:#f2dcde;text-decoration:none;border:solid 3px #ac848c;border-radius:20px;background:rgba(172,132,140,.60);margin:90px 0px 90px 0px;padding:15px 5px;max-width:250px;box-shadow:7px 7px 0 0px #ac848c;}	
a.nav{display:block;font-family: "rafaella", sans-serif;font-weight: 400;font-style: normal;font-size:18px;color:#fae3c5;text-decoration:none;margin-top:35px}
	
/*contact page*/

div.fourcol.contact-form {margin-top:70px;padding:100px;border:solid 3px #ac848c;border-radius:100px 100px 10px 10px;background:rgba(172,132,140,.6)}

input {display:block;font-family:"odile", serif;font-weight: 400;font-style:normal;font-size:18px;color:#ac848c;padding:10px;border:solid 3px #ac848c; border-radius:10px ;margin:0px auto;}

textarea {display:block; resize:none;margin:0 auto; padding:10px;border:solid 3px #ac848c; border-radius:10px ;font-family:"odile", serif;font-weight: 400;font-style:normal;font-size:18px;color:#ac848c;text-decoration:none;max-width:100%}

button{;display:block;font-family:"odile", serif;font-weight: 400;font-style:normal;font-size:20px;color:#fae3c5;text-decoration:none;;border:solid 3px #ac848c;border-radius:10px;background:rgba(172,132,140,.60);margin:20px auto;max-width:200%;padding:5px 80px}

h2.subheadings.purple.contact{font-size:50px}
	
p.info.contact{font-size:30px;line-height:35px}

h1.pageheadings.purple.gallery.contact{margin-top:115px}
	
}

@media handheld, only screen and (max-width: 767px) {
/*contenthome*/
	div.header div.twocol{display:none;}
	div.mobile-nav {display:block;color:#f2dcde;font-size:30px; text-align:right;margin-top:30px;}
	div.overlay {display:block;font-family: "rafaella", sans-serif;font-weight: 400;font-style: normal;font-size:20px;color:#fae3c5;text-decoration:none;/*margin-top:35px;*/line-height:40px}
	div.threecol.logo, div.onecol.mobile-nav {float:left; width:40%;}
	div.threecol.logo {padding-right:0;}
	div.onecol.mobile-nav{padding-left:0;}
	a.nav{display:none}
	h2.ctafirst{font-size:10.91vw;margin:60px auto 10px auto;text-align:center}
	h2.ctasecond{font-size:16.25vw;margin:50px auto;text-align:center}
	a.cta.about{display:block;font-size:5.17vw;max-width:250px;padding:15px 5px;margin:90px auto 90px auto;text-align:center}
	div.sixcol.home-text{text-align:center}
	img.firefly{display:none;width:200%;margin-top:70px;margin-bottom:80px;}
    img.firefly-straight{display:block;width:200%;margin-top:70px;margin-bottom:80px}
/*contenthomeends*/
	
/*content gallery*/
	
h1.pageheadings.purple{letter-spacing:7px;font-family: "rafaella-shadow", sans-serif;font-weight: 400;font-style: normal;font-size:70px;color:#ac848c;margin:50px 0px 40px 0px;text-align:center}
div.gallery-directory{align-content: center}
h2.subheadings.purple{letter-spacing:7px;font-family: "rafaella-shadow", sans-serif;font-weight: 400;font-style: normal;font-size:35px;color:#ac848c;margin:150px 0px 0px 0px;text-align:center;line-height:90px}
a img.thumbnail {margin-bottom:30px;margin-left:45px;border:solid 2px #ac848c;border-radius:200px 200px 10px 10px;width:40%;float:left;}
div.twocol.photos{width:30%}
a img.thumbnail:hover{border:solid 2px #ac848c}
div.row.photos {align-items:center}
p.info.disclaimer{text-align:center}
/*content gallery ends*/
}

/*contact*/
div.fourcol.contact-form {margin:70px auto 0px auto;padding:10px;border:solid 3px #ac848c;border-radius:100px 100px 10px 10px;background:rgba(172,132,140,.6);max-width:50%}

input {display:block;font-family:"odile", serif;font-weight: 400;font-style:normal;font-size:20px;color:#fae3c5;padding:10px;border:solid 3px #ac848c; border-radius:10px ;margin:0px auto; max-width:100%}

textarea {display:block; resize:none;margin:0 auto; padding:10px;border:solid 3px #ac848c; border-radius:10px ;font-family:"odile", serif;font-weight: 400;font-style:normal;font-size:20px;color:#fae3c5;text-decoration:none;max-width:100%}

button{;display:block;font-family:"odile", serif;font-weight: 400;font-style:normal;font-size:20px;color:#fae3c5;text-decoration:none;;border:solid 3px #ac848c;border-radius:10px;background:rgba(172,132,140,.60);margin:20px auto;max-width:200%;padding:5px 80px}

img.myportrait.two{display:none}

/*footer stuff*/
div.footer{margin-top:180px;background:#f2dcde;padding:10px 0px;border-top:solid 3px #ac848c}
p.footer{font-size:20px;margin:0px 0px 0px 0px}
img.instagram {max-width:30px;max-height:30px;margin:0px}

@media handheld, only screen and (max-width: 560px) {
/*contenthome*/
	h2.ctafirst{font-size:12.91vw;margin:60px auto 10px auto;text-align:center;line-height:100px}
	h2.ctasecond{font-size:17.25vw;margin:50px auto;text-align:center}
	a.cta.about{display:block;font-size:5.17vw;max-width:250px;padding:15px 5px;margin:90px auto 90px auto;text-align:center}
	div.sixcol.home-text{text-align:center}
	/*contenthomeends*/
	
	/*gallery*/
a img.thumbnail {margin-bottom:30px;margin-left:30px;border:solid 2px #ac848c;border-radius:200px 200px 10px 10px;width:40%;float:left;}
}

/*contact*/
div.fourcol.contact-form {display:block; margin:70px auto 0px auto;padding:25px;border:solid 3px #ac848c;border-radius:100px 100px 10px 10px;background:rgba(172,132,140,.6); max-width:75%}
/* ========================================== */
/* ! Provide higher res assets for iPhone 4   */
/* ========================================== */

@media only screen and (-webkit-min-device-pixel-ratio: 2) { 

/*	.logo {
		background: url(logo2x.jpg) no-repeat;
		background-size: 212px 303px;
	}*/

}